<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Tung xúc xắc may mắn</title>
</head>
<body onload="onPageLoading()">
    <img src="LuckyDiceImages/people-playing-casino.jpg" id="img-chung" >
    <h1 id="h1-title" style="color: blue;">CHÀO MỪNG ĐẾN VỚI LUCKY DICE</h1>
    <img src="LuckyDiceImages/dice.png" id="img-xi-ngau" width="200px">
    <br><br>
    <button id="btn-nem-xi-ngau" type="button" onclick="onBtnNemClick()" style="width: 100px; height: 50px; border: 1px solid #9999;">Ném </button>
    <h2 style="color: blue;display: none;" id="h2-message-here">Message here</h2>

</body>
<script>
     /*
    || Vùng 1: định nghĩa global variables (biến toàn cục)
    */
    var vImgChung = document.getElementById("img-chung");
    var vH1Title = document.getElementById("h1-title");
    var vH2MessageHere = document.getElementById("h2-message-here");
    var vImgXiNgau = document.getElementById("img-xi-ngau");
    var vBtnNemXiNgau = document.getElementById("btn-nem-xi-ngau");
    /*
    || Vùng 2: event handlers - function xử lý sự kiện  
    */

    /*|| vùng 3: common function - function dùng chung, để gọi từ vùng 2, hoặc từ console
    */
   function onPageLoading(){
    console.log(vImgChung.id);
    console.log(vImgChung.src);

    console.log(vH1Title.id);
    console.log(vH1Title.innerHTML);

    console.log(vH2MessageHere.id);
    console.log(vH2MessageHere.innerHTML);

    console.log(vImgXiNgau.id);
    console.log(vImgXiNgau.src);

    console.log(vImgXiNgau.id);
    console.log(vImgXiNgau.src);

    console.log(vBtnNemXiNgau.id);
    console.log(vBtnNemXiNgau.innerHTML);

   }
//    function tungXucXac(){
//     console.log("Tung Xúc Xắc");
//    }
   // hàm nhấn nút ném sẽ hiện ra 1 số bất kỳ 
   function getRandomNumber(){
   
    var vSoNgauNhien = Math.random();
    console.log ("Số bất kỳ từ 1 đến 6 là: " + vSoNgauNhien);
    var vKetQua = Math.trunc(vSoNgauNhien * 6) + 1;
    console.log( vKetQua);
    return vKetQua;
   }
   //6: gọi hàm đầu vào của hàm là số mặt của xúc xắc 
   function onBtnNemClick(){
    console.log("Tung Xúc Xắc");
    var gDice = 0; //Lưu giá trị ngẫu nhiên này vào 1 biến global gDice, để dùng cho các bước sau
    // vùng 3: common function - function dùng chung, để gọi từ vùng 2, hoặc từ console
     gDice = getRandomNumber(1,6);
    console.log ("Số mặt xúc xắc ném là: " + gDice);

    


    var vImgXiNgau = document.getElementById("img-xi-ngau");

    switch(gDice){
        case  1: // if(vH2MessageHere = 1);
        vImgXiNgau.src = "LuckyDiceImages/1.png";
        break;

        case 2: // if(vH2MessageHere = 2);
        vImgXiNgau.src = "LuckyDiceImages/2.png";
        break;

        case 3: // if(vH2MessageHere = 3);
        vImgXiNgau.src = "LuckyDiceImages/3.png";
        break;

        case  4: // if(vH2MessageHere = 4);
        vImgXiNgau.src = "LuckyDiceImages/4.png";
        break;

        case 5: // if(vH2MessageHere = 5);
        vImgXiNgau.src = "LuckyDiceImages/5.png";
        break;

        case 6: // if(vH2MessageHere = 6);
        vImgXiNgau.src = "LuckyDiceImages/6.png";
        break;

    }
 changeMessage(); 
}

   
   //stt 7 : viết hàm đầu vào là số mặt xúc xắc 
   function changeMessage(){
    var vH2MessageHere = document.getElementById("h2-message-here");

    var gDice = 0; //Lưu giá trị ngẫu nhiên này vào 1 biến global gDice, để dùng cho các bước sau
    // vùng 3: common function - function dùng chung, để gọi từ vùng 2, hoặc từ console
     gDice = getRandomNumber(1,6);


    //hiển chữ đã đc ẩn lên 
    vH2MessageHere.style.display = 'block';
    var vH2MessageHere = document.getElementById("h2-message-here");
  


    
    switch (gDice){
        case 1: 
        case 2:
        case 3: //if (gDice =1,2,3)
        vH2MessageHere.innerHTML = "Rất tiếc, Mời bạn ném lại!";
        vH2MessageHere.style.color = "purple";
        break;

        case 4: 
        case 5:
        case 6:
        vH2MessageHere.innerHTML = "Chúc Mừng!!";
        vH2MessageHere.style.color = "orange";
        break;

    }
    return vH2MessageHere;
   }
   

</script>
</html>